Reorder motd for livepatch and esm

Bug #1757171 reported by Andreas Hasenack on 2018-03-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-advantage-script
Fix Released
Unknown
ubuntu-advantage-tools (Ubuntu)
High
Andreas Hasenack

Bug Description

The current ordering is weird and should be altered.

-rwxr-xr-x 1 root root 1220 Oct 22 2015 00-header*
-rwxr-xr-x 1 root root 1157 Jun 14 2016 10-help-text*
lrwxrwxrwx 1 root root 46 Mar 11 10:16 50-landscape-sysinfo -> /usr/share/landscape/landscape-sysinfo.wrapper*
-rwxr-xr-x 1 root root 4251 Jun 29 2017 50-motd-news*
-rwxr-xr-x 1 root root 97 Mar 24 2016 90-updates-available*
-rwxr-xr-x 1 root root 299 Feb 5 04:00 91-release-upgrade*
-rwxr-xr-x 1 root root 129 Nov 12 21:53 95-hwe-eol*
-rwxr-xr-x 1 root root 142 Mar 19 2012 98-fsck-at-reboot*
-rwxr-xr-x 1 root root 144 Mar 19 2012 98-reboot-required*
-rwxr-xr-x 1 root root 604 Oct 30 12:37 99-esm*
-rwxr-xr-x 1 root root 3200 Feb 14 12:21 99-livepatch*

Sample:

Welcome to Ubuntu Bionic Beaver (development branch) (GNU/Linux 4.15.0-10-generic x86_64)

 * Documentation: https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support: https://ubuntu.com/advantage

  System information as of Mon Mar 19 15:47:17 MDT 2018

  System load: 0.99 Users logged in: 1
  Usage of /: 53.7% of 92.69GB IP address for enp0s25: 10.10.1.35
  Memory usage: 54% IP address for virbr0: 192.168.122.1
  Swap usage: 0% IP address for virbr1: 192.168.100.1
  Processes: 415 IP address for lxdbr0: 10.113.42.1

 * Meltdown, Spectre and Ubuntu: What are the attack vectors,
   how the fixes work, and everything else you need to know
   - https://ubu.one/u2Know

56 packages can be updated.
0 updates are security updates.

*** System restart required ***
 * Canonical Livepatch is available for installation.
   - Reduce system reboots and improve kernel security. Activate at:
     https://ubuntu.com/livepatch

99-esm and 99-livepatch should move to 80 to be sorted before the updates 95 and above should be reserved for more time-critical messages that will not always be present -- since they will show up closer to the user's terminal.

Related branches

Changed in ubuntu-advantage-tools (Ubuntu):
importance: Undecided → High
Changed in ubuntu-advantage-script:
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-advantage-tools - 16

---------------
ubuntu-advantage-tools (16) bionic; urgency=medium

  * d/t/update-motd-run: fix path to the esm motd (LP: #1757490)

 -- Andreas Hasenack <email address hidden> Wed, 21 Mar 2018 13:58:34 -0300

Changed in ubuntu-advantage-tools (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.